;;;; utf8-string-interpolation.scm  -*- Hen -*-
;;;; Kon Lovett, Sep '17

(module utf8-string-interpolation

(;export
  string-interpolate)

(import scheme)
(import (except scheme #;peek-char read-char #;read))

(import (except chicken reverse-list->string))
;interaction-environment
;parentheses-synonyms

(import (only utf8-srfi-13 string-concatenate-reverse #;reverse-list->string))
(require-library utf8-srfi-13)
(import (only utf8 #;peek-char read-char #;read list->string))
(require-library utf8)

(import (only (srfi 1) reverse!))
(require-library (srfi 1))

(import (only data-structures ->string))
(require-library data-structures)

;;;

;;

(define-inline (reverse-list->string clist)
  (list->string (reverse! clist)) )

;;;

;;

(include "string-interpolation-body")

) ;utf8-string-interpolation
